### Method

# Foundry Documentation query_attribute

#### Declaration [src]

    char*
    foundry_documentation_query_attribute (
      FoundryDocumentation* self,
      const char* attribute
    )

#### Description [src]

Query various attributes which may be part of the documentation but are not required by plugins to implement.

#### Parameters

`attribute`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.